Scientific Linux 安全性更新:SL7.x i686/x86_64 上的 java-11-openjdk (2022:7008)

medium Nessus Plugin ID 166413

Synopsis

遠端 Scientific Linux 主機缺少一個或多個安全性更新。

描述

遠端 Scientific Linux 7 主機上安裝的套件受到 SLSA-2022: 7008-1 公告中提及的多個弱點影響。

- OpenJDK:錯誤的 MultiByte 轉換可導致緩衝區溢位 (JGSS,8286077) (CVE-2022-21618)

- OpenJDK:剖析 X.509 憑證時會過度配置記憶體 (安全性,8286533) (CVE-2022-21626)

- OpenJDK:HttpServer 無連線計數限制 (輕量型 HTTP Server,8286918) (CVE-2022-21628)

- OpenJDK:錯誤處理長 NTLM 用戶端主機名稱 (安全性,8286526) (CVE-2022-21619)

- OpenJDK:JNDI DNS 連接埠號碼的隨機化不足 (JNDI,8286910) (CVE-2022-21624)

- OpenJDK:HTTP/2 中缺少 SNI 快取 (網路,8289366) (CVE-2022-39399)

請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

更新受影響的套件。

另請參閱

https://www.scientificlinux.org/category/sl-errata/slsa-20227008-1

Plugin 詳細資訊

嚴重性: Medium

ID: 166413

檔案名稱: sl_20221020_java_11_openjdk_on_SL7_x.nasl

版本: 1.3

類型: local

代理程式: unix

已發布: 2022/10/21

已更新: 2022/12/1

支持的傳感器: Nessus Agent

風險資訊

VPR

風險因素: Low

分數: 2.9

CVSS v2

風險因素: Medium

基本分數: 5

時間分數: 3.7

媒介: AV:N/AC:L/Au:N/C:N/I:P/A:N

時間媒介: E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2022-21618

CVSS v3

風險因素: Medium

基本分數: 5.3

時間分數: 4.6

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: cpe:/o:fermilab:scientific_linux, p-cpe:/a:fermilab:scientific_linux:java-11-openjdk, p-cpe:/a:fermilab:scientific_linux:java-11-openjdk-debuginfo, p-cpe:/a:fermilab:scientific_linux:java-11-openjdk-demo, p-cpe:/a:fermilab:scientific_linux:java-11-openjdk-devel, p-cpe:/a:fermilab:scientific_linux:java-11-openjdk-headless, p-cpe:/a:fermilab:scientific_linux:java-11-openjdk-javadoc, p-cpe:/a:fermilab:scientific_linux:java-11-openjdk-javadoc-zip, p-cpe:/a:fermilab:scientific_linux:java-11-openjdk-jmods, p-cpe:/a:fermilab:scientific_linux:java-11-openjdk-src, p-cpe:/a:fermilab:scientific_linux:java-11-openjdk-static-libs

必要的 KB 項目: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2022/10/20

弱點發布日期: 2022/10/17

參考資訊

CVE: CVE-2022-21618, CVE-2022-21619, CVE-2022-21624, CVE-2022-21626, CVE-2022-21628, CVE-2022-39399